<?xml version="1.0" encoding="utf-8"?>
<wsdl:definitions xmlns:wsap="http://schemas.xmlsoap.org/ws/2004/08/addressing/policy" xmlns:wsa10="http://www.w3.org/2005/08/addressing" xmlns:tns="http://tempuri.org/" xmlns:msc="http://schemas.microsoft.com/ws/2005/12/wsdl/contract" xmlns:soapenc="http://schemas.xmlsoap.org/soap/encoding/" xmlns:wsp="http://schemas.xmlsoap.org/ws/2004/09/policy" xmlns:i0="http://DigitalData.Services.EDMIService" xmlns:wsam="http://www.w3.org/2007/05/addressing/metadata" xmlns:wsa="http://schemas.xmlsoap.org/ws/2004/08/addressing" xmlns:soap12="http://schemas.xmlsoap.org/wsdl/soap12/" xmlns:wsaw="http://www.w3.org/2006/05/addressing/wsdl" xmlns:soap="http://schemas.xmlsoap.org/wsdl/soap/" xmlns:wsu="http://docs.oasis-open.org/wss/2004/01/oasis-200401-wss-wssecurity-utility-1.0.xsd" xmlns:xsd="http://www.w3.org/2001/XMLSchema" name="EDMIService" targetNamespace="http://tempuri.org/" xmlns:wsdl="http://schemas.xmlsoap.org/wsdl/">
  <wsp:Policy wsu:Id="NetTcpBinding_IEDMIService_policy">
    <wsp:ExactlyOne>
      <wsp:All>
        <msb:BinaryEncoding xmlns:msb="http://schemas.microsoft.com/ws/06/2004/mspolicy/netbinary1">
        </msb:BinaryEncoding>
        <sp:TransportBinding xmlns:sp="http://schemas.xmlsoap.org/ws/2005/07/securitypolicy">
          <wsp:Policy>
            <sp:TransportToken>
              <wsp:Policy>
                <msf:WindowsTransportSecurity xmlns:msf="http://schemas.microsoft.com/ws/2006/05/framing/policy">
                  <msf:ProtectionLevel>EncryptAndSign</msf:ProtectionLevel>
                </msf:WindowsTransportSecurity>
              </wsp:Policy>
            </sp:TransportToken>
            <sp:AlgorithmSuite>
              <wsp:Policy>
                <sp:Basic256>
                </sp:Basic256>
              </wsp:Policy>
            </sp:AlgorithmSuite>
            <sp:Layout>
              <wsp:Policy>
                <sp:Strict>
                </sp:Strict>
              </wsp:Policy>
            </sp:Layout>
          </wsp:Policy>
        </sp:TransportBinding>
        <msf:Streamed xmlns:msf="http://schemas.microsoft.com/ws/2006/05/framing/policy">
        </msf:Streamed>
        <wsaw:UsingAddressing>
        </wsaw:UsingAddressing>
      </wsp:All>
    </wsp:ExactlyOne>
  </wsp:Policy>
  <wsdl:import namespace="http://DigitalData.Services.EDMIService" location="" />
  <wsdl:types />
  <wsdl:binding name="NetTcpBinding_IEDMIService" type="i0:IEDMIService">
    <wsp:PolicyReference URI="#NetTcpBinding_IEDMIService_policy">
    </wsp:PolicyReference>
    <soap12:binding transport="http://schemas.microsoft.com/soap/tcp" />
    <wsdl:operation name="Heartbeat">
      <soap12:operation soapAction="http://DigitalData.Services.EDMIService/IEDMIService/Heartbeat" style="document" />
      <wsdl:input>
        <soap12:body use="literal" />
      </wsdl:input>
      <wsdl:output>
        <soap12:body use="literal" />
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="ReturnDatatableFromCache">
      <soap12:operation soapAction="http://DigitalData.Services.EDMIService/IEDMIService/ReturnDatatableFromCache" style="document" />
      <wsdl:input>
        <soap12:body use="literal" />
      </wsdl:input>
      <wsdl:output>
        <soap12:body use="literal" />
      </wsdl:output>
      <wsdl:fault name="UnexpectedErrorFaultFault">
        <soap12:fault use="literal" name="UnexpectedErrorFaultFault" namespace="" />
      </wsdl:fault>
      <wsdl:fault name="DataTableDoesNotExistFaultFault">
        <soap12:fault use="literal" name="DataTableDoesNotExistFaultFault" namespace="" />
      </wsdl:fault>
    </wsdl:operation>
    <wsdl:operation name="ReturnDatatable_Firebird">
      <soap12:operation soapAction="http://DigitalData.Services.EDMIService/IEDMIService/ReturnDatatable_Firebird" style="document" />
      <wsdl:input>
        <soap12:body use="literal" />
      </wsdl:input>
      <wsdl:output>
        <soap12:body use="literal" />
      </wsdl:output>
      <wsdl:fault name="UnexpectedErrorFaultFault">
        <soap12:fault use="literal" name="UnexpectedErrorFaultFault" namespace="" />
      </wsdl:fault>
    </wsdl:operation>
    <wsdl:operation name="ReturnScalar_Firebird">
      <soap12:operation soapAction="http://DigitalData.Services.EDMIService/IEDMIService/ReturnScalar_Firebird" style="document" />
      <wsdl:input>
        <soap12:body use="literal" />
      </wsdl:input>
      <wsdl:output>
        <soap12:body use="literal" />
      </wsdl:output>
      <wsdl:fault name="UnexpectedErrorFaultFault">
        <soap12:fault use="literal" name="UnexpectedErrorFaultFault" namespace="" />
      </wsdl:fault>
    </wsdl:operation>
    <wsdl:operation name="ExecuteNonQuery_Firebird">
      <soap12:operation soapAction="http://DigitalData.Services.EDMIService/IEDMIService/ExecuteNonQuery_Firebird" style="document" />
      <wsdl:input>
        <soap12:body use="literal" />
      </wsdl:input>
      <wsdl:output>
        <soap12:body use="literal" />
      </wsdl:output>
      <wsdl:fault name="UnexpectedErrorFaultFault">
        <soap12:fault use="literal" name="UnexpectedErrorFaultFault" namespace="" />
      </wsdl:fault>
    </wsdl:operation>
    <wsdl:operation name="ReturnDatatable_MSSQL_IDB">
      <soap12:operation soapAction="http://DigitalData.Services.EDMIService/IEDMIService/ReturnDatatable_MSSQL_IDB" style="document" />
      <wsdl:input>
        <soap12:body use="literal" />
      </wsdl:input>
      <wsdl:output>
        <soap12:body use="literal" />
      </wsdl:output>
      <wsdl:fault name="UnexpectedErrorFaultFault">
        <soap12:fault use="literal" name="UnexpectedErrorFaultFault" namespace="" />
      </wsdl:fault>
    </wsdl:operation>
    <wsdl:operation name="ReturnScalar_MSSQL_IDB">
      <soap12:operation soapAction="http://DigitalData.Services.EDMIService/IEDMIService/ReturnScalar_MSSQL_IDB" style="document" />
      <wsdl:input>
        <soap12:body use="literal" />
      </wsdl:input>
      <wsdl:output>
        <soap12:body use="literal" />
      </wsdl:output>
      <wsdl:fault name="UnexpectedErrorFaultFault">
        <soap12:fault use="literal" name="UnexpectedErrorFaultFault" namespace="" />
      </wsdl:fault>
    </wsdl:operation>
    <wsdl:operation name="ExecuteNonQuery_MSSQL_IDB">
      <soap12:operation soapAction="http://DigitalData.Services.EDMIService/IEDMIService/ExecuteNonQuery_MSSQL_IDB" style="document" />
      <wsdl:input>
        <soap12:body use="literal" />
      </wsdl:input>
      <wsdl:output>
        <soap12:body use="literal" />
      </wsdl:output>
      <wsdl:fault name="UnexpectedErrorFaultFault">
        <soap12:fault use="literal" name="UnexpectedErrorFaultFault" namespace="" />
      </wsdl:fault>
    </wsdl:operation>
    <wsdl:operation name="ReturnDatatable_MSSQL_ECM">
      <soap12:operation soapAction="http://DigitalData.Services.EDMIService/IEDMIService/ReturnDatatable_MSSQL_ECM" style="document" />
      <wsdl:input>
        <soap12:body use="literal" />
      </wsdl:input>
      <wsdl:output>
        <soap12:body use="literal" />
      </wsdl:output>
      <wsdl:fault name="UnexpectedErrorFaultFault">
        <soap12:fault use="literal" name="UnexpectedErrorFaultFault" namespace="" />
      </wsdl:fault>
    </wsdl:operation>
    <wsdl:operation name="ReturnScalar_MSSQL_ECM">
      <soap12:operation soapAction="http://DigitalData.Services.EDMIService/IEDMIService/ReturnScalar_MSSQL_ECM" style="document" />
      <wsdl:input>
        <soap12:body use="literal" />
      </wsdl:input>
      <wsdl:output>
        <soap12:body use="literal" />
      </wsdl:output>
      <wsdl:fault name="UnexpectedErrorFaultFault">
        <soap12:fault use="literal" name="UnexpectedErrorFaultFault" namespace="" />
      </wsdl:fault>
    </wsdl:operation>
    <wsdl:operation name="ExecuteNonQuery_MSSQL_ECM">
      <soap12:operation soapAction="http://DigitalData.Services.EDMIService/IEDMIService/ExecuteNonQuery_MSSQL_ECM" style="document" />
      <wsdl:input>
        <soap12:body use="literal" />
      </wsdl:input>
      <wsdl:output>
        <soap12:body use="literal" />
      </wsdl:output>
      <wsdl:fault name="UnexpectedErrorFaultFault">
        <soap12:fault use="literal" name="UnexpectedErrorFaultFault" namespace="" />
      </wsdl:fault>
    </wsdl:operation>
    <wsdl:operation name="NewFile">
      <soap12:operation soapAction="http://DigitalData.Services.EDMIService/IEDMIService/NewFile" style="document" />
      <wsdl:input>
        <soap12:body use="literal" />
      </wsdl:input>
      <wsdl:output>
        <soap12:body use="literal" />
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="SetAttributeValue">
      <soap12:operation soapAction="http://DigitalData.Services.EDMIService/IEDMIService/SetAttributeValue" style="document" />
      <wsdl:input>
        <soap12:body use="literal" />
      </wsdl:input>
      <wsdl:output>
        <soap12:body use="literal" />
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="ImportFile">
      <soap12:operation soapAction="http://DigitalData.Services.EDMIService/IEDMIService/ImportFile" style="document" />
      <wsdl:input>
        <soap12:body use="literal" />
      </wsdl:input>
      <wsdl:output>
        <soap12:body use="literal" />
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="GetFileByObjectId">
      <soap12:operation soapAction="http://DigitalData.Services.EDMIService/IEDMIService/GetFileByObjectId" style="document" />
      <wsdl:input name="DocumentStreamRequest">
        <soap12:body use="literal" />
      </wsdl:input>
      <wsdl:output name="DocumentStreamResponse">
        <soap12:header message="i0:DocumentStreamResponse_Headers" part="FileName" use="literal" />
        <soap12:body use="literal" />
      </wsdl:output>
      <wsdl:fault name="ObjectDoesNotExistFaultFault">
        <soap12:fault use="literal" name="ObjectDoesNotExistFaultFault" namespace="" />
      </wsdl:fault>
      <wsdl:fault name="UnexpectedErrorFaultFault">
        <soap12:fault use="literal" name="UnexpectedErrorFaultFault" namespace="" />
      </wsdl:fault>
    </wsdl:operation>
    <wsdl:operation name="GetFileInfoByObjectId">
      <soap12:operation soapAction="http://DigitalData.Services.EDMIService/IEDMIService/GetFileInfoByObjectId" style="document" />
      <wsdl:input name="DocumentInfoRequest">
        <soap12:body use="literal" />
      </wsdl:input>
      <wsdl:output name="DocumentInfoResponse">
        <soap12:body use="literal" />
      </wsdl:output>
      <wsdl:fault name="UnexpectedErrorFaultFault">
        <soap12:fault use="literal" name="UnexpectedErrorFaultFault" namespace="" />
      </wsdl:fault>
    </wsdl:operation>
    <wsdl:operation name="ListFilesForUser">
      <soap12:operation soapAction="http://DigitalData.Services.EDMIService/IEDMIService/ListFilesForUser" style="document" />
      <wsdl:input>
        <soap12:body use="literal" />
      </wsdl:input>
      <wsdl:output name="DocumentListResponse">
        <soap12:body use="literal" />
      </wsdl:output>
      <wsdl:fault name="UnexpectedErrorFaultFault">
        <soap12:fault use="literal" name="UnexpectedErrorFaultFault" namespace="" />
      </wsdl:fault>
    </wsdl:operation>
    <wsdl:operation name="TestObjectIdExists">
      <soap12:operation soapAction="http://DigitalData.Services.EDMIService/IEDMIService/TestObjectIdExists" style="document" />
      <wsdl:input name="TestObjectIdExistsRequest">
        <soap12:body use="literal" />
      </wsdl:input>
      <wsdl:output name="TestObjectIdExistsResponse">
        <soap12:body use="literal" />
      </wsdl:output>
      <wsdl:fault name="UnexpectedErrorFaultFault">
        <soap12:fault use="literal" name="UnexpectedErrorFaultFault" namespace="" />
      </wsdl:fault>
    </wsdl:operation>
  </wsdl:binding>
  <wsdl:service name="EDMIService">
    <wsdl:port name="NetTcpBinding_IEDMIService" binding="tns:NetTcpBinding_IEDMIService">
      <soap12:address location="net.tcp://localhost:9000/DigitalData/Services/Main" />
      <wsa10:EndpointReference>
        <wsa10:Address>net.tcp://localhost:9000/DigitalData/Services/Main</wsa10:Address>
        <Identity xmlns="http://schemas.xmlsoap.org/ws/2006/02/addressingidentity">
          <Upn>Administrator@dd-san01.dd-gan.local.digitaldata.works</Upn>
        </Identity>
      </wsa10:EndpointReference>
    </wsdl:port>
  </wsdl:service>
</wsdl:definitions>